package net.sendcloud.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.mail.internet.InternetAddress;

public class SendCloudMail {

	private String subject;
	private String from;
	private String fromName;
	private Date sentDate;
	private Date receivedDate;
	private List<InternetAddress> to;
	private List<InternetAddress> cc;
	private List<InternetAddress> replyTo;
	private String html;
	private String text;
	private List<File> attachments;
	private Map<String, String> headers;
	// 附件存储路径
	private String path;

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getFromName() {
		return fromName;
	}

	public void setFromName(String fromName) {
		this.fromName = fromName;
	}

	public String getHtml() {
		return html;
	}

	public void setHtml(String html) {
		this.html = html;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public List<File> getAttachments() {
		return attachments;
	}

	public void setAttachments(List<File> attachments) {
		this.attachments = attachments;
	}

	public Map<String, String> getHeaders() {
		return headers;
	}

	public void setHeaders(Map<String, String> headers) {
		this.headers = headers;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public List<InternetAddress> getTo() {
		return to;
	}

	public void setTo(List<InternetAddress> to) {
		this.to = to;
	}

	public List<InternetAddress> getCc() {
		return cc;
	}

	public void setCc(List<InternetAddress> cc) {
		this.cc = cc;
	}

	public void addTo(InternetAddress t) {
		if (to == null)
			to = new ArrayList<>();
		to.add(t);
	}

	public void addCc(InternetAddress c) {
		if (cc == null)
			cc = new ArrayList<>();
		cc.add(c);
	}

	public void addAttachment(File f) {
		if (attachments == null)
			attachments = new ArrayList<>();
		attachments.add(f);
	}

	public Date getSentDate() {
		return sentDate;
	}

	public void setSentDate(Date sentDate) {
		this.sentDate = sentDate;
	}

	public Date getReceivedDate() {
		return receivedDate;
	}

	public void setReceivedDate(Date receivedDate) {
		this.receivedDate = receivedDate;
	}

	public List<InternetAddress> getReplyTo() {
		return replyTo;
	}

	public void setReplyTo(List<InternetAddress> replyTo) {
		this.replyTo = replyTo;
	}

	public void addReplyTo(InternetAddress r) {
		if (replyTo == null)
			replyTo = new ArrayList<>();
		replyTo.add(r);
	}
}